Bug 1478900 - please change the replication transient status Err=18 into a warning.
please change the replication transient status Err=18 into a warning.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: mreynolds
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 09:13 EDT by German Parente
Modified: 2017-10-13 03:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-12 15:32:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description German Parente 2017-08-07 09:13:23 EDT
Description of problem:

This is simple fix asked to convert the transient replication status (18) that is happening when replica is locked into a warning.

It's just that it's confusing for customers.
Comment 2 mreynolds 2017-10-12 15:32:15 EDT
Closing as won't fix.

I thought this bug was for an errors log message that needed to have the severity level adjusted, but after reviewing the customer case this is actually about the replication agmt status attribute "nsds5replicaLastUpdateStatus".

The replication status always uses "Error (%d) msg" format.  "0" for success, or greater than zero for some type of replication state/error.  There is no turning this into a warning - it's just a status code value.  

I also see nothing wrong with the content of the status message (an error occurred, it was not fatal, so it will retry):

Error (18) Replication error acquiring replica: Incremental update transient error. Backing off, will retry update later. (transient error).

Note You need to log in before you can comment on or make changes to this bug.